/*
 * FILENAME
 *   dsp.c
 *
 * DESCRIPTION
 *   Effects of Decimation and Interpolation
 *
 *   Rev 1.0  Oct. 30, 2001    M.Rauter <rowdy@sbox.tugraz.at>
 *   Rev 1.1  Dec. 04, 2001    C.Feldbauer
 */

/* INCLUDE HEADERFILES */
#include "blocks.h"        // the blocksize BLKSZ is defined here
#include "block.h"         // interpolator and decimator is defined here




/* CONSTANTS */
#define DECFACT 4	         // the blocksize has to be an integer multiple	of DECFACT
#define INTFACT 4

#define DEC_BLKSZ BLKSZ/DECFACT  // this is the reason for that requirement




/* global variables (e.g. buffers, structures for filters) */
short dec_sigbuf[DEC_BLKSZ];     // signal buffer for decimated rate




/* Initialize filters here! */
void init( void)
{
  
}




/* Call the necessary functions here! */
void processing( void *ptr)
{
  short *sigbuf = ptr;
  
  
  
  
  block_short_decimate( dec_sigbuf, sigbuf, DECFACT, BLKSZ);
  
  /* decimated signal processing can be done here using 
     the buffer dec_sigbuf of size DEC_BLKSZ */
  
  block_short_interpolate( sigbuf, dec_sigbuf, INTFACT, DEC_BLKSZ);
  
  
}
