/**********************************************************************
* FILENAME
*   fir_short.h
*
* DESCRIPTION
*   Definition of Fir structure and prototypes
*
* Rev 2.0  Nov 07th 2001 		C. Feldbauer <feldbauer@inw.tugraz.at>
* Rev 1.0  Oct 29th 2001 		M. Rauter <rowdy@sbox.tugraz.at>
**********************************************************************/
#ifndef __FIR_SHORT__
#define __FIR_SHORT__


typedef struct
{
  int blksz;       // size of i/o workingbuffer
  int num_coeff;   // # of coefficients
  short *coeffs;   // coefficients
  int tmpbufsz;  
  short *tmpbuf;   // data buffer for next block
} struct_fir_short;


/* coefficients have to be in Q15 format */

void fir_short_init( struct_fir_short *data, short *coeffs, int num_coeff, int blksz);
void fir_short( struct_fir_short *data, short *sigbuf); 

#endif
